import setuptools

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

PROJECT_NAME = "TDY_PYPI"
USER_NAME = "saquibquddus"

setuptools.setup(
    name=f"{PROJECT_NAME}-{USER_NAME}",
    version="0.0.3",
    author=USER_NAME,
    author_email="sakibquddus@gmail.com",
    description="its an implimentation of TF-2 , Detectron and yolov5",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url=f"https://github.com/{USER_NAME}/{PROJECT_NAME}",
    project_urls={
        "Bug Tracker": f"https://github.com/{USER_NAME}/{PROJECT_NAME}/issues",
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    package_dir={"": "src"},
    packages=setuptools.find_packages(where="src"),
    python_requires=">=3.7",
    install_requires=
    [
    # "-f https://download.pytorch.org/whl/lts/1.8/torch_lts.html",
    "beautifulsoup4==4.11.1",
    "certifi==2021.10.8",
    "charset-normalizer==2.0.12",
    "click==8.1.2",
    "colorama==0.4.4",
    "cycler==0.11.0",
    "Cython==0.29.28",
    "filelock==3.6.0",
    "Flask==2.1.1",
    "Flask-Cors==3.0.10",
    "fonttools==4.32.0",
    "gdown==4.4.0",
    "gunicorn==20.1.0",
    "idna==3.3",
    "importlib-metadata==4.11.3",
    "itsdangerous==2.1.2",
    "Jinja2==3.1.1",
    "kiwisolver==1.4.2",
    "MarkupSafe==2.1.1",
    "matplotlib==3.5.1",
    "numpy==1.21.5",
    "opencv-contrib-python==4.1.2.30",
    "packaging==21.3",
    "Pillow==9.1.0",
    "pyparsing==3.0.8",
    "PySocks==1.7.1",
    "python-dateutil==2.8.2",
    "PyYAML==6.0",
    "requests==2.27.1",
    "scipy==1.7.3",
    "six==1.16.0",
    "soupsieve==2.3.2",
    "torch==1.8.2+cpu",
    "torchvision==0.9.2+cpu",
    "tqdm==4.64.0",
    "typing_extensions==4.1.1",
    "urllib3==1.26.9",
    "Werkzeug==2.1.1",
    "wincertstore==0.2",
    "zipp==3.8.0"
    ],
    dependency_links=[
        "https://download.pytorch.org/whl/lts/1.8/torch_lts.html",
    ],
)